Shutdown Deployment Stateless Resource

Base URL
https://api.elastic-cloud.com/api/v1
No auth

Shut down Stateless Resource belonging to a given Deployment. Kibana cannot be shut down on Elasticsearch Service as it is required for Elasticsearch administrative functions, such as Snapshot Lifecycle Management and version upgrades.

Path parameters

deployment_id string required

Identifier for the Deployment.

stateless_resource_kind enum required

The kind of stateless resource

Values: kibana apm appsearch enterprise_search integrations_server
ref_id string required

User-specified RefId for the Resource (or '_main' if there is only one).

Query parameters

hide boolean

Hide cluster on shutdown. Hidden clusters are not listed by default. Only applicable for Platform administrators.

skip_snapshot boolean · default: false

If true, will skip taking a snapshot of the cluster before shutting the cluster down (if even possible)

Responses

Standard response

application/json
Base URL
https://api.elastic-cloud.com/api/v1